M2Sortino {PerformanceAnalytics} | R Documentation

## M squared for Sortino of the return distribution

### Description

M squared for Sortino is a M^2 calculated for Downside risk instead of Total Risk

### Usage

    M2Sortino(Ra, Rb, MAR = 0, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset return
`Rb` | return vector of the benchmark asset
`MAR` | the minimum acceptable return
`...` | any other passthru parameters

### Details

M^2 (Sortino) = Rp + Sortino ratio * (DownsideRiskBenchmark - DownsideRiskPortfolio)

where M^2_S is MSquared for Sortino, r_P is the annualised portfolio return, σ_{DM} is the benchmark annualised downside risk and D is the portfolio annualised downside risk

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.102-103

### Examples

    data(portfolio_bacon)
    MAR = 0.005
    print(M2Sortino(portfolio_bacon[,1], portfolio_bacon[,2], MAR)) #expected 0.1035

    data(managers)
    MAR = 0
    print(MSquaredExcess(managers['1996',1], managers['1996',8], MAR))
    print(MSquaredExcess(managers['1996',1:5], managers['1996',8], MAR))

[Package PerformanceAnalytics version 1.5.3 Index]